What's New

Batch setup has been entirely reworked for Windows 98.

Batch now includes extensive error-checking, allowing far more setup automation than Batch for Windows 95. For most batch setup needs, you can use the Gather Now command to create an .inf file directly from the registry of your machine, speeding up the .inf creation process, and eliminating the need for time consuming customization of the script file.

Batch also lets you customize setup for Internet Explorer 4.0, and all of the new shell and desktop options. For example, you can set the Internet security settings and proxy settings for all machines as you set them up.


Batch setup help

Overview of Batch 98

With Batch 98 you can easily create a script (an .inf file) to automate Windows 98 setup. Then, when you install Windows 98, setup consults this file instead of prompting for each piece of information, allowing you to install Windows 98 virtually unattended and at full speed. Running setup using a Batch 98 .inf script makes Windows installation easier and faster, especially for networked computers.

With Batch 98 you can:

  • Use Gather now to create an .inf from the local registry for known settings.

  • Use the setup script created by Batch setup to automate the Windows 98 setup process, installing the operating system and other components without having to provide additional information during setup such as the installation type, target folder, and so on. This is the most basic use for Batch setup, and is especially helpful for installing Windows 98 on several computers. Windows 98 setup will prompt for any settings left blank unless you choose otherwise.

  • Use Batch setup to customize Windows 98 settings that are usually altered after installation. These settings include network settings (protocols, services, and so on).

  • Use batch setup settings to restrict user choices during setup, insuring that each new machine has the same optional programs installed.

  • Insure that each Windows 98 installation is dependably the same, which makes supporting multiple machines easier.

For more information, see Creating a Batch script (.inf) file, or see Appendix D, "Msbatch.inf Parameters," in the Windows 98 Resource Kit for specific information regarding Batch setup options.

This version of Batch.exe is a 32-bit application that uses Windows 95 Common Controls. As such, it will only run under Windows 98. Automatic registry examination is not supported under Windows NT.


batch setup features

Using Batch setup features

Batch setup can set and automate almost every option available in Windows 98 setup.

  • Computer and user information: You can specify the user's name, company name, computer name, workgroup, and computer description from batch setup. These options are available in the General Setup options dialog box, User Info tab.

  • Network clients: You can choose to install the Client for Microsoft Networks and the Client for NetWare 3.x/4.x networks automatically. Options for each client can also be set from within batch setup, including validated logon, preferred server, default logon, the first network drive, and more. You can also enable support for many third-party networks. These options are available in the Network Options dialog box.

  • Network protocols: Batch setup includes support for automatically installing protected-mode stacks for NetBEUI, IPX/SPX, TCP/IP, and 32-bit DLC. You can also define settings for IPX/SPX and TCP/IP. These options are available in the Network Options dialog box, Protocols tab.

  • Network services: You can choose to install the File and Printed sharing service for either Microsoft networks or NetWare 3.x/4.x networks in batch setup. Using information from the Windows 98 Resource Kit, you can choose to enable support for additional network services, clients, and protocols.

  • Custom setup controls: Batch setup makes it easy for administrators to control how much input a user has while running Windows 98 setup. Administrators can choose which (if any) options Windows 98 setup will stop for user input and which defaults to provide. This allows administrators to control as much of setup for users as they choose.

  • Printer support: You can use batch setup to set up printers. Choose to install specific printers (even network printers) or simply skip the Printer Setup wizard. Click Printers for more information.

  • Optional components: You can use batch setup to choose which Optional Components to include and exclude during Windows 98 Setup. Furthermore, the powerful customization ability of the Optional Components section allows administrators to limit certain choices and include new components that might not usually be provided with Windows 98. Click Optional Components for more information.

  • Uninstallation support: Batch setup can be keyed to automatically create Uninstall information, to automatically skip the Uninstall Wizard, or to prompt the user with the choice to do so during setup.

  • Multiple machine setup capability: Batch setup can save up to 9,999 separate .inf files at once. By supplying a text file listing each machine's computer name (and IP address, if desired), you can save multiple .inf files at once, all created from the same template. These options are provided in the Multiple Machine-Name Save.

  • Automatic .inf creation based on current Registry settings: Batch setup can be made to scan the existing Registry (on a Windows 98 machine) and create an .inf file based on information found therein. Click Registry Scanning for more information.

  • Other settings: Use Batch setup to specify many settings not normally available during regular setup, like screen resolution and color depth, the ability to skip past many setup dialog boxes, and more.


To create a basic Batch script (.inf) file

  1. Open Batch 98 (Batch.exe).

  2. Click on the button marked Gather now.

  3. Click General Setup Options, click the User Info tab, fill in the appropriate list boxes, and click OK.

  4. If these settings are sufficient for your batch setup installation, click Save Settings to INF to create the .inf file, and quit Batch 98.

To define more settings:

  1. In the General Setup Options dialog box, click each tab, fill in the appropriate boxes, and click OK.

  2. Click Optional Components to select the components to include in the completed Windows 98 installation. The default settings reflect those of a "typical" installation. To include a component, select its check box in Available Components. To exclude a component, clear its check box. Click OK to record the settings and return to the main Batch window.

  3. Click the Network Options button to define network settings. In the Network Options dialog box, type the values as required. Click OK to record the settings and return to the main Batch window.

  4. When you are satisfied that all settings are correct, click the Save settings to INF button. Batch setup creates an .inf file in Msbatch.inf format with the default name of msbatch.inf and then ends the Batch setup session.

  5. Run Windows 98 setup at the MS-DOS prompt. For example:
    setup c:\msbatch.inf

Note

  • You must specify a complete path for the .inf file. Otherwise, Setup will stop with an error.


Using Batch 98

To run Windows 98 setup with the script, use the setup command followed by the path and filename for the .inf file created by Batch setup. (This file is named Msbatch.inf by default). For example, type the following at the command line:

setup c:\msbatch.inf

Windows 98 setup will begin installation, consulting the .inf file as required.

You can load a setup script (in Msbatch.inf format) with Batch setup by including the filename on the command line. For example:

batch c:\myfile.inf

Notes

  • If you save new settings to an existing .inf file, the file is destroyed before settings are saved. If you open an existing .inf file and then modify settings, the file is NOT destroyed when saving.

  • Batch setup cannot automate some Windows 98 setup dialog boxes. For example, messages that cannot be skipped include "Looking for a Previous Version of Windows" and warnings about disk space and conflicting network components. Error messages will cause Setup to stop and wait for user input.

  • If you run Windows 98 setup with an .inf file created by Batch setup, you will not be warned to remove any disk in the floppy drive before setup restarts the computer. Be sure all floppy disks are removed from drives before starting setup or after the emergency boot disk has been created.

  • For more information, see Appendix D, "Msbatch.inf Parameters," in the Windows 98 Resource Kit.


Retrieving settings from the Registry

If run from a Windows 98 machine, Batch setup can scan the registry for known settings to automatically create a useable .inf file. Click Gather Now and batch setup will scan for settings in the following areas:

  • All known Microsoft 32-bit networking clients and their settings

  • All known Microsoft 32-bit networking services and their settings

  • All known Microsoft 32-bit networking protocols and their settings

  • Current video resolution settings

  • Currently installed printers

  • Current time zone

  • User-level security settings

  • Current Windows directory

  • Current user and machine name and description information

  • MRU (Most Recently Used) locations.

  • Optional components

  • Net card settings

Some things that Batch.exe cannot determine:

  • Uninstall options

  • 16-bit networking (clients, services, and protocols)

  • Some installation options pertaining to batch setup only (for instance, the 'No to All' option)


Help on Batch setup Options

Batch Setup Commands

General Setup Options

Install Info

User Info

Setup Prompts

Regional Settings

Desktop

Printers

MRU Locations

Display Settings

User Profiles

Network Options

Protocols

Services

Clients

Access Control

Additional Clients

Optional Components

Internet Explorer Options

Desktop

Display

Browser

Security

Proxy Settings

Advanced Options

Additional Files

Windows Update


Installation Options Dialog Box

General Setup Options dialog box

To access the dialog box, click General Setup Options in the main Batch 98 window. See Appendix D, "Msbatch.inf Parameters," in the Windows 98 Resource Kit for more information.

This dialog box contains the following tabs:

Install Info

User Info

Setup Prompts

Regional Settings

Desktop

Printers

MRU Locations

Display Settings

User Profiles


Uninstall options

General Setup Options dialog box, Install Info tab

Product ID | Provides a space for you to type your product ID (optional).
Installation Directory | Provides a space for you type the name of the directory in which Windows 98 will be installed. The default is the directory where Windows is currently installed. If you are creating a template for another computer, you might have to change this default. If you leave this entry blank and perform a Windows upgrade, Windows 98 will be installed over the old version. If this entry is blank and this is a new install, you will be prompted for the installation directory.
Do not show installation directory warning | Specifies that an installation directory warning will not be shown. Choose this option for Windows upgrades.
Do not create uninstall information | Specifies that Windows 98 setup will not create uninstallation information.
Automatically create uninstall information | Specifies that Windows 98 setup will write all necessary information out of a backup directory. You may not specify the directory now; you will be prompted for the directory during setup.

To General Setup options


Setup Information Dialog Box

General Setup Options dialog box, User Info tab

User Name | Provides a space for you to type the user name of the person to whom Windows 98 will be registered. The name appears in many Help About dialog boxes.
Company Name | Provides a space for you to type the name of the company to which Windows 98 will be registered. The name appears in many Help About dialog boxes.
Computer Name | Provides a space for you type a unique name for the computer on which Windows 98 will be installed. Many networks require a separate name for each computer. Choose a name that will not conflict with names already on the network. If a name conflict occurs during Setup, Setup will not log onto the network properly. You can use no more than 15 alphanumeric characters and the following: ! @ $ % ^ ( ) { } _ ~ . Do not use all periods. Caution If using a batch file for more than one machine at a time, you have three options: hand edit each file to add a unique computer name for each machine; leave the computer name out, and you will be prompted during setup; or use Multiple Machine-Name Save.
Workgroup | Provides a space for you type the name of the computer's primary workgroup. Ask your system administrator or MIS department for the name of the workgroup to which you belong (for example, "Marketing" or "3rdFloorNorth"). The workgroup name has the same limits as the computer name.
Description | Provides a space for you to type a short description of your computer. Many networks allow you to search for specific computers over the network using text from this description string. Typically, the description names the operator, the location of the computer, or the purpose of the computer ("Print Server"). The description can be no longer than 48 characters.

If you leave one or more text boxes blank, these are the possible results:

  • If Windows 98 Setup is run over Windows 3.1, Windows for Workgroups, or Windows 95, Setup will take the information from the existing version of Windows and continue without stopping.

  • If Windows 98 Setup is run from MS-DOS (with or without an existing version of Windows) or from Windows 3.0, Setup prompts you for the information.

For information about controlling whether Windows 98 Setup stops for certain dialog boxes, see the Setup Prompts tab.

There is an option on the main window available only to users of Windows 98 (or later). This button, Gather Now, can be used to force automatic Registry scanning on the client machine.


Setup Options tab

General Setup Options dialog box, Setup Prompts tab

See Appendix D, "Msbatch.inf Parameters," in the Windows 98 Resource Kit for information on the following options.

Auto-accept end-user licence agreement | Clear to force setup to pause and wait for the license agreement to be selected.
Do not prompt for emergency startup disk | Clear to force Windows 98 Setup to create a "Emergency Startup" disk during Setup. The user will be prompted to supply a single 3½" or 5¼" floppy disk during the installation process if this option is cleared.
Auto-answer 'No to All' to version conflict dialogs | Clear this option to specify that Windows 98 Setup will overwrite existing files automatically, even if the date or version of the local copy is later than the date or version for the file in the distribution source.
Automatically reboot PCI and PnP machines during setup | Clear to force setup to pause and wait for user action before each reboot of these machines during setup.
Do not search source folder for new devices | Clear this to force Windows 98 to continually scan the Installation Location (typically a Network folder) for new .inf files and new supported devices. This option allows a system administrator to distribute new drivers from a central location; all computers installed from that point will pick up the changes.
Skip the PC Card (PCMCIA) wizard | Clear this to receive prompting (when you have a PC Card slot) during setup Recommended unless you are certain that you are not running Real Mode PC Card drivers.


Regional Settings tab

General Setup Options dialog box, Regional Settings tab

See Appendix D, "Msbatch.inf Parameters," in the Windows 98 Resource Kit for more information.

Time Zone | Click the arrow and select a time zone from the list. Select your time zone. If you leave this entry blank, you will be prompted during Setup to supply your time zone.
Keyboard Layout | Click the arrow and select your country and style of keyboard layout.
Regional Settings | Click the arrow and select a language and region. This option affects settings on the Number, Currency, Time, and Date options of each computer you install.

Back to General Setup options


Desktop tab

General Setup Options dialog box, Desktop tab

You can select or deselect these options to indicate which desktop icons you want to have removed when you install Windows 98.

Caution: Removing these icons can restrict access to Windows and Network options.

Do not remove any icons unless you are sure that you should. You may not be able to restore the icons without re-installing Windows.

These options will save out to the .inf file but will not be read back in. You must manually set and reset these options every time you save out your .inf file.

Desktop Icons
My Documents | Specifies whether to remove the icon from the desktop. This does not delete the My Documents function from the computer.
Internet Explorer | Specifies whether to remove the icon from the desktop. This does not delete Internet Explorer from the computer.
Network Neighborhood | Specifies whether to remove the icon from the desktop. This does not delete the Network Neighborhood from the computer.
Outlook Express | Specifies whether to remove the icon from the desktop. This does not delete the mail program from the computer. Note This option is unavailable if Outlook Express is not selected in the Optional Components dialog box.
Recycle Bin | Specifies whether to remove the Recycle Bin from the desktop. This does not delete the Recycle functionality from the computer.
Setup the Microsoft Network | Specifies whether to remove the icon from the desktop.This does not delete the MSN setup program from the computer.

Miscellaneous
Delete online service from desktop after setup | Specifies whether to remove the Online Services folder and its contents from the desktop after setup has completed.
Do not show the Windows 98 welcome screen | Specifies to not show the Windows 98 welcome screen. The next option is not available if you check this option.
Do not show the Windows registration wizard | Specifies to not show the Windows registration wizard. If you have a site license and don't want each user to register their own copy of Windows 98, then check this box.


Printer Setup

General Setup Options dialog box, Printers tab

To access this dialog box, click the Printers tab at the top of the General Setup Options dialog box. See Appendix D, "Msbatch.inf Parameters," in the Windows 98 Resource Kit for information.

This dialog box allows you to specify whether printers are installed during setup. Click the Add button to add each printer description to the setup script.

Install the following printers during setup | Specifies whether to install printers during setup. Note You can only setup a network printer if you're installing Batch through a network.
Printer Name | Provides a space for you to type a name that you define for the printer that can be any string that does not contain these characters: \ , ; =
Printer Type | Provides a space for you to type the exact driver name for any printer model supported under Windows 98, as defined in a printer .inf file.
Printer Port | Provides a space for you to type the port that this printer is attached to (such as LPT1) or a UNC path name to a network print queue.
Add | Click here to add and properly configure the typed input from the three text boxes. For example, My Printer=Panasonic KX-P4420,FILE
Remove | Click here to put input string back into text boxes for editing.

Back to General Setup options


MRU (Most Recently Used) locations

General Setup Options dialog box, MRU (Most Recently Used) Locations tab

Batch allows the user to set up to twenty-six MRU (Most Recently Used) locations on each machine as Windows 98 is installed. MRUs are locations that will appear in any drop-down list that might appear during setup when a user is prompted for a location to install files from.

By filling in custom MRU's, you can have your own common installation points already filled in the list when a user is faced with a choice of where to look for files.

For instance, MRU 1 could be "\\Server\Products", MRU 2 could be "\\Marketing\Shares" and MRU 3 could be "A:\"

To enter MRU locations, in the upper box, type a UNC path for an location, and click Add MRU.

To remove an MRU location, select a path in the large box, and click Remove MRU.

To remove all of the MRUs at once, click Clear MRUs.


General Setup Options dialog box

General Setup Options, Display Settings tab

Color Depth | Options are: Current Settings, 16 colors (4-bit), 256 colors (8-bit), High Color (16-bit), True Color (24-bit) and True Color (32-bit)
Resolution | Options are: Current Settings, 640 x 480 pixels; 800 by 600 pixels; 1024 by 768 pixels; 1152 by 864 pixels; and 1280 by 1024 pixels.


(Untitled)

General Setup Options dialog box, User Profiles tab

If you chose Users can customize their preferences:
All users of this PC user the same preferences and desktop settings. | For computers used in common by a number of people
Users can customize their preferences and desktop settings. Windows switches to your personal settings whenever you log in. | For most personal computers
Include desktop icons and Network Neighborhood contents in user settings | Recommended
Include Start Menu and program groups in user settings. | Recommended


Available Protocols tab

Network Options dialog box, Protocols tab

You can select any and all of these protocols.

IPX/SPX compatible protocol | Specifies whether to use the IPX/SPX protocol.
Enable NetBIOS over IPX/SPX | Specifies whether to require NetBIOS support with the IPX/SPX protocol.
Frame Type | Click the arrow to select a frame type other than the appropriate one Windows 98 automatically detects. If you choose a frame type that is not available on your network, you will not be able to communicate with the rest of the network.
NetBEUI | Specifies whether to use the NetBEUI protocol.
Microsoft 32-bit DLC | Specifies whether to use the 32-bit DLC protocol.
TCP/IP | Specifies whether to use the TCP/IP protocol.
TCP/IP Settings | Click this to change TCP/IP Settings.
Default protocol | Click the arrow to select one of the available 32-bit protocols. If you leave this box blank, setup will automatically assign one protocol to be the default.

Go to Network Options


TCP/IP Network Options

TCP/IP Options dialog box

To access this dialog box, click Network Options. On the Protocols tab, select the TCP/IP check box, and click the TCP/IP Settings button.

See Chapter 12, "Network Technical Discussion," in the Windows 98 Resource Kit for complete information on TCP/IP. Incorrect settings will limit your ability to use TCP/IP.

This dialog box has the following tabs:

DNS Configuration

Gateway

WINS Configuration

IP Address


Available Services tab

Network Options dialog box, Services tab

This tab covers file and printer sharing. A Windows 98 computer can run file and printer sharing for either Microsoft networks or NetWare 3.x/4.x networks, but not both.

No file and print sharing services | Specifies that a given computer will not be able to share out its own files or printers to other machines. This option is especially appropriate for computers with low memory or limited processing power.
File and print sharing for Microsoft Networks | Specifies that a given computer can share files, folders, printers, and CD-ROM drives with other computers on the network. This is the default peer sharing service for Microsoft networking. To run this service, the computer must also have Client for Microsoft Networks loaded.
LM Announce | Specifies whether to use LAN Manager-style broadcasting. Click this machine if you have older LAN Manager-compatible servers on your network.
Browse master options | Specifies the desired browse master options for the machine. Depending on the typical role of the machine, you may choose to never be a browse master (Disabled), to be a preferred browse master (Enabled), or the default, to be a browse master if necessary (Automatic).
File and print sharing for NetWare Networks | Specifies your Windows 98 computer to look like a NetWare server to other computers running NetWare-compatible clients. To run this service, the computer must also have Client for NetWare networks loaded.
SAP Advertising | Specifies whether to enable SAP (Server Advertising Protocol)-style browsing for this computer.
Workgroup Advertising | Specifies the desired workgroup advertising state for the machine. Depending on the typical role of the machine, you may choose to have Advertising turned off (Disabled), to never be a master (Enabled: Will Not Be Master), to be a preferred browse master (Enabled: Preferred Master), or the default, to be a browse master if necessary (Enabled: May Be Master).

Go to Network Options


Available Clients tab

Network Options dialog box, Clients tab

A computer can have multiple protected-mode network clients.

Client for Microsoft Networks | Specifies whether to access computers running File and Printer Sharing for Microsoft Networks, Windows NT, and LAN Manager-compatible clients and servers on the network. This is the default client for Microsoft.
Validate Logon to NT Domain | Specifies whether you will be asked to log on to a Windows NT domain when you start Windows 98. This option should be enabled for Microsoft networks.
Logon Domain | Provides a space for you to type the name of the Windows NT domain to be used for logon validation.
Client for NetWare 3.x/4.x networks | Specifies whether this client allows access to NetWare servers and Windows 98 computers running File and Printer Sharing for NetWare 3.x/4.x networks. Note If you have already selected a real mode NetWare Client, you will be prompted if you select this box.
Enable logon script processing | Specifies whether to enable the Windows 98 logon script processor for NetWare 3.x/4.x networks.
Preferred Server | Provides a space for you to type the name of the preferred NetWare server (if any) to validate your logon.
First Net Drive | Click the arrow to select the lowest letter allowed for a network drive to map to (the default is F).
NetWare Directory Service | Specifies whether this client allows access to NetWare Directory Services.
Preferred tree | Provides a space for you to type your preferred tree for NetWare Directory Services.
Name context | Provides a space for you to type the desired name context for NetWare Directory Services here.
Default logon | Click the arrow to which client you prefer to set as the default. Your options include any network clients that you have enabled.

Go to Network Options


Access Control tab

Network Options dialog box, Access Control tab

Use this tab to specify user-level or share-level security.

  • Computers running File and Print Sharing for NetWare 3.x/4.x Networks can only use user-level security.

  • Computers running File and Print Sharing services for Microsoft networking can use either share-level or user-level security. However, to use user-level security, a Windows NT domain or workstation must be available to validate user accounts.

Share-level access control | Specifies whether you need to supply a password for each shared resource.
User-level access control | Specifies whether users and groups have access to each shared resource. If this access control is chosen, type the \\server\share resource for the lists of users and groups.


Network Options dialog box, Additional Clients tab

This tab allows you to install additional drivers during setup installation.

Note

Microsoft does not supply the drivers listed in Supported Clients; you must place them in the directory from which you are installing Windows 98.

Supported Clients | Banyan DOS/Windows 3.1 Client Novell NetWare (Workstation Shell 3.x [NETX]) Novell NetWare (Workstation Shell 4.x [VLM])
Other Clients | Protocols — See Appendix D of the Windows 98 Resource Kit for services not supported natively. Services — See Appendix D of the Windows 98 Resource Kit for services not supported natively.

Enter the strings as listed in Appendix D of the Windows 98 Resource Kit.

Note

  • Microsoft does not supply the drivers listed in Supported Clients; you must place them in the directory from which you are installing Windows.


Optional Components dialog box

When making changes to the Optional Components dialog box, keep the following in mind:

  • Selecting a check box specifies a component to include.

  • Clearing a check box specifies a component to exclude.

Batch reads the list of optional components from the file Optional.ini, which should be in the same directory as Batch.exe. You can edit this file to change the list of components and restrict what is available to users. For more information, see Optional.ini Specifications.


Advanced Options dialog box, Additional Files tab

Add Registry File | Typing in file names will automatically import a Registry file during setup.
System Policy File | Automatic – Specifies that the policy file in the default location (the NETLOGON directory on a Windows NT network or the PUBLIC directory on a NETWARE network) will be used. Manual – Specifies that you will give a location for the policy file.


Advanced Options dialog box, Windows Update tab

Windows Update allows you to update program and driver software directly from the Internet. It provides access to the Update wizard, which is capable of reviewing the device drivers and system software on your computer, comparing those findings with a master database on the web, and then recommending and installing specific updates appropriate for your computer.

  • Select Disable Windows Update to disable automatic updates.


Internet Explorer Options dialog box, Desktop tab

See Appendix D, "Msbatch.inf Parameters," in the Windows 98 Resource Kit for information on the following options.

Quick Launch Toolbar: Internet Explorer Outlook Express Show Desktop View Channels | Check to have icons for each program appear in the Windows 98 Quick Launch toolbar.
Channel Bar | Check to enable Channel Bar.
The Channel bar can be easily customized send just the information you want to each machine you set up. Just customize one machine, and then click Gather Now. Batch 98 will then give those channel settings to each machine you set up.


Internet Explorer Options dialog box, Display tab

See Appendix D, "Msbatch.inf Parameters," in the Windows 98 Resource Kit for information on the following options.

Active Desktop | Chose whether to enable active web-related content on the desktop.
Browse folders as follows | Chose whether to have each folder open in the same window.
View Web content in folders | Chose whether to have web-related content (such as HTML backgrounds) in folders.
Click items as follows | Choose whether to use single-click (like a web page) or double-click (like classic Windows) to open an item.

Note

All of these settings can be changed by the user after installation.


Internet Explorer Options dialog box, Browser tab

See Appendix D, "Msbatch.inf Parameters," in the Windows 98 Resource Kit for information on the following options.

Home page URL | Type the address you usually want the browser to open to.
Post Setup Page | Type the address you want the browser to open the first time it is used.
Search Pane URL | Type the address of the search page you want to use.
Online support page URL | Type the address of a support page.
Note

All of these settings can be changed by the user after installation.


Internet Explorer Options dialog box, Security tab

Select a type of web content in the Zone box, and then select the security level for each zone in the option group below.

For each zone: | Set the security level
Local intranet Trusted sites Internet Restricted sites | High -- You will be notified about potential security problems; active content may not be loaded. Medium -- You will be notified about potential security problems. Low -- All content with a valid certificate will be downloaded.
Add sites | Click to add URLs to specific zones.
Settings | Click to customize types of active content that can be viewed and downloaded on this computer.


Internet Explorer Options dialog box, Proxy Settings tab

Access the Internet using a proxy server | Clear to connect to the Internet directly.
Servers | Type the address and port number of the proxy server you use to gain access to the Internet over HTTP, Secure, FTP, Gopher, and Cocks protocols. (Use this options only if you are connecting to the Internet over a local area network.)
Use the same proxy server for all protocols | Clear to fill in each proxy address and port separately
Bypass proxy server for local (intranet) addresses. | Clear to use proxy server even for local addresses.

Note
Internet Explorer works only with proxy servers that are compliant with the CERN proxy server standard.


Batch Save

To run setup on more than one machine using Multiple Machine-Name Save

Multiple Machine-Name Save allows you to run setup files (.inf files) on many computers at once, by using a separate text file to list those settings (computer name and IP address) that must be unique.

  1. From the File menu on the main Batch setup screen, click Multiple Machine-Name Save.

  2. Create a Machine Name file.

    Using Notepad, open a text file, enter a single computer name on each line, and terminate the line with a carriage return/line feed (press ENTER after typing each name). On Microsoft networks, computer names can contain only alphanumeric characters and these characters:

    ! @ $ % ^ ( ) { } _ ~.

    The following shows an example of a text file for multiple machine-name save:

    Zarg!
    P133_Mega_Machine, 128.2.3.4
    KCF
    Print_Server_1
    Duke, 128.3.4.5
    Scarlett
    Rhett

    Notice that you can include an IP address for any particular computer (on the same line as the machine name, separated by a comma) without having to include addresses for all computers. In this example, 'P133_Mega_Machine' and 'Duke' will be set up with listed IP addresses.

  3. After you select the machine name file, batch setup reads and saves all names and addresses will be saved. A message announces how many names were read in.

  4. You must then select a directory where all the .inf files are to be saved. In the Destination of Save dialog box, find the directory you want to use. The directory must already exist. The name of the file in the File Name box is not important.

  5. After the target directory has been selected, click the Save button.

    Batch setup will create one .inf file per name containing all the settings currently defined, using a series of files named Bstp0001.inf through Bstp9999.inf, written in the order that the names are listed in the machine name file. The only unique information in each file will be the computer name and any IP address provided. Using the previous example, the file Bstp0001.inf will contain the setup information for the computer named 'Zarg!,' and file Bstp0007.inf will contain the setup information for the computer named 'Rhett.'

  6. Click Close to close the Multiple Machine-Name Savedialog box.

Notes

  • Do not use all periods for machine names. Other networks may have different requirements.

  • If you want to include an IP address for a given computer, put a single comma after the computer name and then type the IP address.

  • A single blank line signifies the end of the machine-name file. No error checking of these values is performed by the batch-mode save process.

  • If incorrect information is entered using multiple machine-name file, then Windows 98 Setup might stop and prompt the user to enter correct the information.


Optional.ini Specifications

 Using Optional.ini specifications

This help section describes the specifications for creating or modifying the Optional.ini file that batch setup uses to determine the available optional components.

The Optional.ini file uses standard INI conventions:

  • Section Names

    Section names must be unique within the entire file. They must be enclosed in brackets, for example, [Networks].

    • The primary SECTION within Optional.ini is the [AREAS] section. This section defines the available sub areas for all Optional Components. Within this section, create a KEY in this format:

    Entry#=Area Name

    where each area's number (#) is one greater than the preceding entry. The order of these entries is unimportant. Do not enclose the Area Name in quotes unless you want it to be displayed in quotes.

    An Optional.ini file can contain up to 20 unique Areas. This example shows an AREAS section:

    [Areas]
Entry1=Accessories
Entry3=Screen Savers
Entry2=Communications
Entry4=The Microsoft Network

    For each Area listed in the AREAS section, there should be a corresponding SECTION. Components for each section should be listed according to the same convention as the AREAS section. After the Component name, include a comma and then either a 0 (do not install component by default) or a 1 (install this component by default).

  • Keys

    Keys must be unique within each SECTION. Leading spaces are ignored, and they cannot contain semicolons (;).

    • An Optional.ini file can contain up to 50 unique keys within each AREA. Batch setup processes the section until it finds an entry number that does not exist. If batch setup reads an entry that does not contain a default value, it will assume a default of '0' (don't install by default). For example:

    [Accessories]
    Entry1=Cardfile,1
    Entry2=Clipboard Viewer
     (Clipboard Viewer will automatically be assigned a value of 0.)
    Entry3=Object Packager,1
    Entry4=Sound Recorder,0
    Entry6=Calculator,1
    (Calculator won't be read because Setup will stop reading the file when it cannot find Entry5, which does not exist.)

Three special categories can also be listed in the Optional.ini file:

  • Dependencies

    • For optional components that have dependencies (one component must be installed in order to install another), create a SECTION named [Dependencies].

    To create a dependency, create a KEY using a KEYNAME that is the name of the component that requires the second component. The value of that KEY is the required component. Any single component can have only one dependency; however, there is no limit to how deeply nested dependent components can be. (Component A can require Component B, which requires Component C, and so on.) Make sure you don't create a circular dependency loop (A -> B -> C -> A).

    There is no limit to the number of different DEPENDENCIES, other than a 1000-character limit for the entire SECTION. This example shows a Dependencies section:

    [Dependencies]
    Direct Cable Connection=Dial-Up Networking
    (DCC requires Dial-Up Networking.)
    The Microsoft Network=Windows Messaging
    (MSN requires Microsoft Exchange.)

  • Defunct

    • A DEFUNCT section can be used to list optional components whose names might have changed. Currently, if a user opens an existing .inf file that contains Optional Components that are not listed in the OPTIONAL.INI file, the entries are discarded. However, before discarding it, Setup checks the DEFUNCT section to see if the component has been given a new name.

    The SECTION NAME should be [Defunct]. Within this SECTION, create a KEY whose name is the name of the OLD component name. The value of this KEY should be its new name. There is no limit to the number of DEFUNCT entries other than a 1000-character limit for the entire SECTION. This example shows a Defunct section:

    [Defunct]
    Extra Cursors=Mouse Pointers
    (Extra Cursors new name is Mouse Pointers.)
    Nature Sound Scheme=Jungle Sound Scheme
    (Nature has been changed to Jungle.)

  • No Choice

    • To include a NOCHOICE section, include an entry similar to the normal optional components, as described above, plus a value for the choice: 0 (for don't install), or 1 (for install). Options listed here cannot be changed by the user through the Setup dialog boxes, even if that option appears in the UI.

    An option listed in this SECTION does not need to be listed anywhere else in the INI file. This example shows a NoChoice section:

    [NoChoice]
    Entry1=The Microsoft Network,1
    (MSN will always be installed.)
    Entry2=Calculator,0
    (Calculator will never be installed.)
    Entry3=Custom Component,1
    (A third-party component that Windows Setup is aware of will be installed.)

Go to Optional.ini Example


An example Optional.ini file

You can also add a [NoChoice] section anywhere in the file.

[Areas]

Area1=Accessibility Options
Area2=Accessories
Area3=Communications
Area4=Disk Tools
Area5=Microsoft Fax
Area6=Multimedia
Area7=Screen Savers
Area8=The Microsoft Network
Area9=Windows Messaging

[Accessibility Options]

Entry1=Accessibility Options,0

[Accessories]

Entry1=Briefcase,0
Entry2=Calculator,1
Entry3=Character Map,0
Entry4=Clipboard Viewer,0
Entry5=Desktop Wallpaper,0
Entry6=DMI Mgmt Service Layer,0
Entry7=Document Templates,1
Entry8=Games,0
Entry9=Imaging,1
Entry10=Mouse Pointers,0
Entry11=Net Watcher,0
Entry12=Object Packager,1
Entry13=Online User's Guide,0
Entry14=Paint,1
Entry15=Quick View,0
Entry16=System Mgmt Infrastructure,0
Entry17=System Monitor,0
Entry18=System Resource Meter,0
Entry19=TWAIN 1.6,1
Entry20=Windows 98 Tour,0
Entry21=WordPad,1

[Communications]

Entry1=Dial-Up Networking,0
Entry2=Direct Cable Connection,0
Entry3=HyperTerminal,1
Entry4=Microsoft NetMeeting,1
Entry5=Phone Dialer,1

[Disk Tools]

Entry1=Backup,0
Entry2=Defrag,1
Entry3=Disk compression tools,1

[Microsoft Fax]

Entry1=Microsoft Fax Services,0
Entry2=Microsoft Fax Viewer,0

[Multimedia]

Entry1=Audio Compression,1
Entry2=CD Player,1
Entry3=Media Player,1
Entry4=Multimedia Sound Schemes,0
Entry5=Sample Sounds,0
Entry6=Sound Recorder,1
Entry7=Video Compression,1
Entry8=Volume Control,1

[Screen Savers]

Entry1=Additional Screen Savers,0
Entry2=Flying Windows,1
Entry3=OpenGL Screen Savers,1

[The Microsoft Network]

Entry1=The Microsoft Network,0


Advanced Options dialog box

There are two tabs: Additional Files and Windows Update.

Use Additional Files to add locations for Registry Files and, if desired, a System Policy file.

Windows Update allows program and driver information to be updated across the Internet. This tab allows you to disable the Windows Update link on this computer.


Welcome to Help

Use the Help system to learn more about Windows 98.

  • Find answers to your questions.
  • Browse the online version of the Getting Started book.
  • Connect to the Web to get software updates.
  • Troubleshoot your system.


DNS Configuration tab

TCP/IP Options dialog box, DNS Configuration tab

Enable DNS | Specifies whether to configure TCP/IP for DNS (Domain Name System) support. DNS is used on the Internet to locate host names. You must also enable this option to use the LMHOSTS file for NetBIOS computer name resolution.
Host | Provides a space for you to type your Host name for DNS as provided by your system administrator. The default Host name is your computer name.
Domain | Provides a space for you to type the Domain name for DNS.
DNS Server Search Order | Provides a space for you to type the IP address of each DNS server. Click the Add button to add the IP address to the text box. To delete an IP address, select the address and click Remove. The order that servers appear in the text box is the order they will be searched for when running over TCP/IP.
Domain Suffix Search Order | Provides a space for you to type a domain suffix of each DNS server. Click the Add button to add a domain suffix to the text box. To delete a domain suffix, select the suffix and click Remove. The order domain suffixes appear in the text box is the order they will be used when running over TCP/IP.

Go to TCP/IP Options


Internet Explorer Options dialog box

This dialog box contains the following tabs:

Desktop

Display

Browser

Security

Proxy Settings


IP Address

TCP/IP Options dialog box, IP Address tab

Obtain an IP address automatically | Specifies whether to enable DHCP (Dynamic Host Control Protocol) for automatic TCP/IP configuration. A Windows NT server that acts as a DHCP server must be present on the network in order to use DHCP. If you do not intend to use DHCP, then you must provide an IP address.
Specify an IP address | Specifies an IP address other than a DHCP IP address.
IP Address | Provides a space to type the appropriate IP address.
Subnet Mask | Provides a space for you to type a subnet mask, if required. As a rule, leave this blank. This subnet mask will be assigned based on your IP address during Windows 98 Setup. This option will be disabled if DHCP is enabled.
Disable Autonet | Recommended for large networks.

Go to TCP/IP Options


Gateway tab

TCP/IP Options dialog box, Gateway tab

New gateway | Provides spaces to type the IP address of a gateway. Click the Add button to add the address to the list box.
Installed gateways | Lists the available IP addresses. The order of the addresses in the list box indicates the order in which they will be searched. To delete a gateway IP address from the list box, select the address and click Remove.

Go to TCP/IP Options


Legal Information

Microsoft Windows 98

Information in this document is subject to change without notice. The names of companies, products, people, characters, and/or data mentioned herein are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted. Complying with all applicable copyright laws is the responsibility of the user. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 1998 Microsoft Corporation. All rights reserved.

Microsoft, ActiveX, BackOffice, MS, MS-DOS, MSN, Windows, and Windows NT are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

Other product and company names mentioned herein may be the trademarks of their respective owners.


Network Options

Network Options dialog box

The Network Options dialog box has the following tabs:

Protocols (includes TCP/IP Settings button)

Services

Clients

Access Control

Additional Clients


Third-Party Network Options

Additional Clients tab, Network Options

You can check any of the listed options to install Windows 98 support for the related network. You must have the supporting software from the network provider already installed on the computer.

Supported clients | You can select any one of these 16-bit networking clients. You cannot select either of the NetWare clients if you've already selected the Client for NetWare 3.x/4.x networks on the main Networking options page. Please note that enabling one of these networks does not install these network drivers; it merely informs Windows 98 of the presence of the particular 16-bit networking component.
Other Clients: Protocols Clients Services | Enter a comma-separated list of network options in each area for additional network components or third-party network clients. Use these boxes to enable options like 3rd party network protocol support, Microsoft Network Monitor agents, and so on. No error-checking is enabled for these options. Windows 98 Setup will use those options if it can, but might stop if it finds unknown settings in these areas. See Appendix D of the Windows 98 Resource Kit for services not supported natively.

See Appendix D, "Msbatch.inf Parameters," in the Windows 98 Resource Kit for the appropriate strings required to install options for networks from other vendors.

To Network Options


WINS Configuration tab

TCP/IP Options dialog box, WINS Configuration tab

WINS (Windows Internet Name Service) requires a Windows NT WINS server to provide NetBIOS name resolution over TCP/IP. This in turn allows computers running only TCP/IP to learn the NetBIOS name of any computer on the network. You can either specify a pair of WINS servers or, if DHCP has been enabled, you can specify that DHCP is to assign the WINS servers.

Disable WINS Resolution | Specifies whether to disable WINS.
Use DHCP for WINS Resolution | Specifies whether to enable WINS and instruct DHCP to assign the WINS server. This option will not be available if you have not enabled DHCP to automatically assign the user's IP Address as well.
Enable WINS Resolution | Specifies whether to enable WINS.
WINS Server Search Order | Provides a space for you to type the IP address of the primary WINS server when Enable WINS Resolution is selected. Click the Add button to add the IP address to the text box. To delete an IP address, select the address and click Remove. The order that servers appear in the text box is the order they will be searched for when running over TCP/IP.
Scope ID | Provides a space for you to type the scope ID for a particular group of computers. Leave this option blank unless you know a value is required.
LMHosts File | Specifies the use of the LMHOSTS file. Type the name and path of the LMHOSTS file, which provides the same information as a WINS server, except the information it contains is static. The LMHOSTS file is in the WINDOWS folder by default. To use LMHOSTS, you must also enable DNS.

Go to TCP/IP Options